import { L as c, b as m, Y as d, O as j, t as A, B as g, y as $, A as h, m as I, $ as x, Q as L } from "./_baseUniq-aulxCrZg-DpgqVftQ.js";
import { y as _, F as b, o as k, t as C, E as Q, a2 as Y, I as l, $ as q, C as w, z } from "./index-DeBlJN4f.js";
var N = /\s/;
function P(r) {
  for (var t = r.length; t-- && N.test(r.charAt(t)); )
    ;
  return t;
}
var R = /^\s+/;
function V(r) {
  return r && r.slice(0, P(r) + 1).replace(R, "");
}
var p = NaN, B = /^[-+]0x[0-9a-f]+$/i, D = /^0b[01]+$/i, E = /^0o[0-7]+$/i, F = parseInt;
function G(r) {
  if (typeof r == "number")
    return r;
  if (g(r))
    return p;
  if (l(r)) {
    var t = typeof r.valueOf == "function" ? r.valueOf() : r;
    r = l(t) ? t + "" : t;
  }
  if (typeof r != "string")
    return r === 0 ? r : +r;
  r = V(r);
  var a = D.test(r);
  return a || E.test(r) ? F(r.slice(2), a ? 2 : 8) : B.test(r) ? p : +r;
}
var y = 1 / 0, H = 17976931348623157e292;
function J(r) {
  if (!r)
    return r === 0 ? r : 0;
  if (r = G(r), r === y || r === -y) {
    var t = r < 0 ? -1 : 1;
    return t * H;
  }
  return r === r ? r : 0;
}
function K(r) {
  var t = J(r), a = t % 1;
  return t === t ? a ? t - a : t : 0;
}
function or(r) {
  var t = r == null ? 0 : r.length;
  return t ? j(r) : [];
}
var O = Object.prototype, M = O.hasOwnProperty, ur = k(function(r, t) {
  r = Object(r);
  var a = -1, i = t.length, e = i > 2 ? t[2] : void 0;
  for (e && C(t[0], t[1], e) && (i = 1); ++a < i; )
    for (var u = t[a], n = Q(u), o = -1, f = n.length; ++o < f; ) {
      var v = n[o], s = r[v];
      (s === void 0 || Y(s, O[v]) && !M.call(r, v)) && (r[v] = u[v]);
    }
  return r;
});
function fr(r) {
  var t = r == null ? 0 : r.length;
  return t ? r[t - 1] : void 0;
}
function U(r) {
  return function(t, a, i) {
    var e = Object(t);
    if (!b(t)) {
      var u = c(a);
      t = x(t), a = function(o) {
        return u(e[o], o, e);
      };
    }
    var n = r(t, a, i);
    return n > -1 ? e[u ? t[n] : n] : void 0;
  };
}
var W = Math.max;
function X(r, t, a) {
  var i = r == null ? 0 : r.length;
  if (!i)
    return -1;
  var e = a == null ? 0 : K(a);
  return e < 0 && (e = W(i + e, 0)), L(r, c(t), e);
}
var vr = U(X);
function Z(r, t) {
  var a = -1, i = b(r) ? Array(r.length) : [];
  return d(r, function(e, u, n) {
    i[++a] = t(e, u, n);
  }), i;
}
function sr(r, t) {
  var a = _(r) ? m : Z;
  return a(r, c(t));
}
var S = Object.prototype, T = S.hasOwnProperty;
function rr(r, t) {
  return r != null && T.call(r, t);
}
function lr(r, t) {
  return r != null && A(r, t, rr);
}
function tr(r, t) {
  return r < t;
}
function ar(r, t, a) {
  for (var i = -1, e = r.length; ++i < e; ) {
    var u = r[i], n = t(u);
    if (n != null && (o === void 0 ? n === n && !g(n) : a(n, o)))
      var o = n, f = u;
  }
  return f;
}
function cr(r) {
  return r && r.length ? ar(r, z, tr) : void 0;
}
function er(r, t, a, i) {
  if (!l(r))
    return r;
  t = h(t, r);
  for (var e = -1, u = t.length, n = u - 1, o = r; o != null && ++e < u; ) {
    var f = I(t[e]), v = a;
    if (f === "__proto__" || f === "constructor" || f === "prototype")
      return r;
    if (e != n) {
      var s = o[f];
      v = void 0, v === void 0 && (v = l(s) ? s : q(t[e + 1]) ? [] : {});
    }
    w(o, f, v), o = o[f];
  }
  return r;
}
function pr(r, t, a) {
  for (var i = -1, e = t.length, u = {}; ++i < e; ) {
    var n = t[i], o = $(r, n);
    a(o, n) && er(u, h(n, r), o);
  }
  return u;
}
export {
  J as K,
  K as Q,
  Z as V,
  ur as d,
  or as f,
  sr as g,
  vr as h,
  lr as m,
  cr as o,
  tr as r,
  ar as t,
  fr as u,
  pr as v
};
